## guitarix 0.39.0%2Bdfsg1

=== demos/ocaml/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2005-2008 (ita)

# the following two variables are used by the target "waf dist"
VERSION = '0.0.1'
APPNAME = 'ocaml_test'

# these variables are mandatory,
top = '.'
out = 'build'

def set_options(opt):
	pass

def configure(conf):
	conf.check_tool('ocaml')

from TaskGen import feature, after
@feature('filefix')
@after('apply_core')
def filefixmeth(self):
	"""just an example to show how to modify the flags for one specific task"""
	for x in self.to_list(self.filefix):
		node = self.path.find_resource(x)
		for tsk in self.tasks:
			if node in tsk.inputs:
				tsk.env.append_value('OCAMLPATH', ['-I', '/dev'])

def build(bld):

	bld(
		features = 'ocaml filefix',
		kind     = 'all',
		includes = '.',
		target   = 'camlprog',
		filefix  = 'somemodule.ml',
		source   = bld.path.ant_glob('*.ml'))

=== demos/vala/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Jaap Haitsma, 2008

# the following two variables are used by the target "waf dist"
VERSION = '0.0.1'
APPNAME = 'vala-gtk-example'

# these variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'

def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.tool_options('vala')

def configure(conf):
	conf.check_tool('compiler_cc vala')
	conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.10.0', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.10.0', mandatory=1, args='--cflags --libs')

def build(bld):
	bld.add_subdirs('src')


	#######################
	# note: to distribute precompiled c files as in the project libdesktop-agnostic
	# one should use something like this:
	#
	#import shutil
	#import Task
	#cls = Task.TaskBase.classes['valac']
	#old = cls.run
	#
	#def run(self):
	#	self.env.VALAC = ''
	#	if self.env.VALAC:
	#		return old(self)
	#	else:
	#		print("restoring from pre-cache")
	#		d = bld.path.abspath()
	#		for x in self.outputs:
	#			shutil.copy2(d + '/novala/' + x.name, x.abspath(self.env))
	#cls.run = run

=== demos/simple_scenarios/buildlog/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2006-2010 (ita)

top = '.'
out = 'build'

# by using the following interceptor, a 'build.log'
# containing all the output during the build phase
# you may add this snippet anywhere in your project (wscript)

# run
# "waf distclean configure build"
# less -R build/build.log

import os, sys, logging
import Build, Utils

old = Build.BuildContext.compile
def compile(self):
	class tee(object):
		def __init__(self, orig, dup):
			self.orig = orig
			self.dup = dup
		def write(self, value):
			self.orig.write(value)
			self.dup.write(value)
		def flush(self):
			self.orig.flush()
			self.dup.flush()
		def fileno(self):
			return self.orig.fileno()

	try:
		stdout = sys.stdout
		stderr = sys.stderr
		log = open(os.path.join(self.bldnode.abspath(), 'build.log'), 'w')
		sys.stderr = sys.stdout = tee(stdout, log)

		old_exec_command = Build.BuildContext.exec_command
		def exec_command(self, s, **kw):
			if 'log' in kw:
				kw['stdout'] = kw['stderr'] = kw['log']
				del(kw['log'])
			else:
				kw['stdout'] = kw['stderr'] = Utils.pproc.PIPE
			kw['shell'] = isinstance(s, str)

			try:
				proc = Utils.pproc.Popen(s, **kw)
				(out, err) = proc.communicate()
				sys.stdout.write(out)
				sys.stderr.write(err)
				return proc.returncode
			except OSError:
				return -1
		Build.BuildContext.exec_command = exec_command

		foo = logging.getLogger()
		for h in foo.handlers:
			if h.stream:
				h.oldstream = h.stream
				h.stream = sys.stderr

		old(self)
	finally:
		sys.stdout = stdout
		sys.stderr = stderr
		Build.BuildContext.exec_command = old_exec_command

		foo = logging.getLogger()
		for h in foo.handlers:
			if h.stream:
				h.stream = h.oldstream

		log.close()
Build.BuildContext.compile = compile

#------------------------------------------------
#    normal code follows

def configure(conf):
	pass

def build(bld):
	bld(rule="echo ohai", always=True)

=== demos/simple_scenarios/job_control/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2008 (ita)

"""
In general the duration of tasks is not known in advance but in some cases
it is better to launch the time consuming tasks first

This example shows how to sort independent tasks to reduce the compilation time
"""

VERSION='0.0.1'
APPNAME='test'
top = '.'
out = 'build'

import time
import Task, Options, Build, Environment


# the following code is the useful part
# try commenting the line that replaces get_next_set to see
# the compilation time difference (15 secs vs 10 secs)
def cmpi(a, b):
	"simple heuristic: the longest task runs first"
	x = getattr(a.__class__, 'duration', 0)
	y = getattr(b.__class__, 'duration', 0)
	return cmp(y, x)
old_get = Task.TaskGroup.get_next_set
def get_next_set(self):
	mm = old_get(self)
	if not mm: return mm
	mm[1].sort(cmpi)
	return mm
Task.TaskGroup.get_next_set = get_next_set


# show how to measure the task execution time
def run_special(self):
	t1 = time.time()
	ret = self.run()
	t2 = time.time()
	self.duration = t2 - t1
	return ret
Task.TaskBase.stat = run_special


# the code below is generic
class base(Task.TaskBase):
	def run(self):
		print self.__class__.__name__ + " " + getattr(self, "id", "")
		time.sleep(self.__class__.duration)
		self.m_hasrun = 1

class X(base):
	duration = 10

class Y(base):
	duration = 4

class Z(base):
	duration = 6

def build(bld):

	task_a = X()
	task_c = Z()
	task_b = Y()

	# force to run with 2 jobs
	Options.options.jobs = 2

def set_options(opt):
	pass

def configure(conf):
	pass

def shutdown(ctx):
	pass
	#print "done"

=== demos/simple_scenarios/options/wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Thomas Nagy, 2008 (ita)

VERSION='0.0.1'
APPNAME='test'
top = '.'
out = 'build'

def set_options(opt):
	# define an option directly
	opt.add_option('--exe', action='store_true', default=False, help='Execute the program after it is compiled')

	# options provided by an existing waf tool
	opt.tool_options('compiler_cxx')

	# fetch other options from a subdirectory (different project module)
	opt.sub_options('src')

def configure(conf):
	import Options
	print "option uuu is", Options.options.uuu
	if not Options.options.uuu: print "(try ./waf configure --uuu)"
	else: print "uuu uuu uuu uuu uuu"
def build(bld):
	pass

=== src/LV2/gx_aclipper.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_aclipper.lv2'

    src = ['gx_aclipper.cpp',
           ]
    incl = ['../faust','./', '../DSP']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE','GX_RESAMPLER']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        use = uselib,
        obj_ext  = '_20.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_aclipper',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'

    if bld.env['LV2GUI']:
        libpath1 = []
        lib1 = []
        lv2_plugin_gui = bld.shlib(
            lib = lib1,
            libpath = libpath1,
            use = ['gxwmm','LV2CORE','GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_aclipper_gui',
            source   = 'widget.cpp gx_aclipper_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_plugin_gui.env['cxxshlib_PATTERN'] = '%s.so'

    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_aclipper.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_aclipper.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_aclipper.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== src/LV2/gx_chorus.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys, os, ctypes

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_chorus.lv2'

    src = ['gx_chorus.cpp'
           ]
    incl = ['../faust','./', '../DSP']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        uselib = uselib,
        obj_ext  = '_5.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_chorus',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'
    if bld.env['LV2GUI']:
        libpath5 = []
        lib5 = []
        incl5 = ['../']
        if sys.platform.startswith("linux"):
            lib5.append('dl')

        lv2_effetcs_gui = bld.shlib(
            includes = incl5,
            lib = lib5,
            libpath = libpath5,
            use = ['gxwmm', 'LV2CORE', 'GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_chorus_gui',
            source   = 'widget.cpp gx_chorus_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_effetcs_gui.env['cxxshlib_PATTERN'] = '%s.so'


    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_chorus.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_chorus.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_chorus.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== src/LV2/gx_digital_delay_st.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys, os, ctypes

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_digital_delay_st.lv2'

    src = ['gx_digital_delay_st.cpp'
           ]
    incl = ['../faust','./', '../DSP']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        uselib = uselib,
        obj_ext  = '_14.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_digital_delay_st',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'

    if bld.env['LV2GUI']:
        libpath5 = []
        lib5 = []
        incl5 = ['../']
        if sys.platform.startswith("linux"):
            lib5.append('dl')

        lv2_effetcs_gui = bld.shlib(
            includes = incl5,
            lib = lib5,
            libpath = libpath5,
            use = ['gxwmm','LV2CORE','GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_digital_delay_st_gui',
            source   = 'widget.cpp gx_digital_delay_st_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_effetcs_gui.env['cxxshlib_PATTERN'] = '%s.so'

    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_digital_delay_st.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_digital_delay_st.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_digital_delay_st.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== src/LV2/gx_expander.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys, os, ctypes

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_expander.lv2'

    src = ['gx_expander.cpp'
           ]
    incl = ['../faust','./', '../DSP']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        uselib = uselib,
        obj_ext  = '_5.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_expander',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'

    if bld.env['LV2GUI']:
        libpath5 = []
        lib5 = []
        incl5 = ['../']
        if sys.platform.startswith("linux"):
            lib5.append('dl')

        lv2_effetcs_gui = bld.shlib(
            includes = incl5,
            lib = lib5,
            libpath = libpath5,
            use = ['gxwmm','LV2CORE','GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_expander_gui',
            source   = 'widget.cpp gx_expander_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_effetcs_gui.env['cxxshlib_PATTERN'] = '%s.so'


    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_expander.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_expander.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_expander.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== src/LV2/gx_fumaster.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_fumaster.lv2'

    src = ['gx_fumaster.cpp'
           ]
    incl = ['../faust','./', '../DSP', '../DSP/tube_tables']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        uselib = uselib,
        obj_ext  = '_14.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_fumaster',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'

    if bld.env['LV2GUI']:
        libpath1 = []
        lib1 = []
        incl = []
        if sys.platform.startswith("linux"):
            lib1.append('dl')

        lv2_plugin_gui = bld.shlib(
            includes = incl,
            lib = lib1,
            libpath = libpath1,
            use = ['gxwmm','LV2CORE','GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_fumaster_gui',
            source   = 'widget.cpp gx_fumaster_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_plugin_gui.env['cxxshlib_PATTERN'] = '%s.so'

    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_fumaster.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_fumaster.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_fumaster.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== src/LV2/gx_fuzzfacefm.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_fuzzfacefm.lv2'

    src = ['gx_fuzzfacefm.cpp',
           ]
    incl = ['../faust','./', '../DSP', '../DSP/tube_tables']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE','ZITA_RESAMPLER']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        use = uselib,
        obj_ext  = '_21.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_fuzzfacefm',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'

    if bld.env['LV2GUI']:
        libpath1 = []
        lib1 = []
        incl = []
        if sys.platform.startswith("linux"):
            lib1.append('dl')

        lv2_plugin_gui = bld.shlib(
            includes = incl,
            lib = lib1,
            libpath = libpath1,
            use = ['gxwmm','LV2CORE','GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_fuzzfacefm_gui',
            source   = 'widget.cpp gx_fuzzfacefm_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_plugin_gui.env['cxxshlib_PATTERN'] = '%s.so'

    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_fuzzfacefm.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_fuzzfacefm.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_fuzzfacefm.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== src/LV2/gx_gcb_95.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import sys, os, ctypes

def configure(conf):
    pass

def build(bld):
    bundle = 'gx_gcb_95.lv2'

    src = ['gx_gcb_95.cpp'
           ]
    incl = ['../faust','./', '../DSP']
    lib = []
    if sys.platform.startswith("linux"):
        lib.append('dl')
    uselib = ['LV2CORE']
    cxxflag =[]
    if not bld.env['OPT'] and bld.env['SSE2']:
        cxxflag = [ "-msse2", "-mfpmath=sse"]
    lv2_effects = bld.shlib(
        includes = incl,
        lib = lib,
        uselib = uselib,
        obj_ext  = '_14.o',
        cxxflags = cxxflag,
        defines  = ["LV2_SO"],
        target   = 'gx_gcb_95',
        source   = src,
        install_path = '${LV2DIR}/%s' % bundle,
        chmod = 0o755,
        )
    lv2_effects.env['cxxshlib_PATTERN'] = '%s.so'

    if bld.env['LV2GUI']:
        libpath1 = []
        lib1 = []
        incl = []
        if sys.platform.startswith("linux"):
            lib1.append('dl')

        lv2_plugin_gui = bld.shlib(
            includes = incl,
            lib = lib1,
            libpath = libpath1,
            use = ['gxwmm','LV2CORE','GTKMM'],
            linkflags = '-Wl,-z,nodelete',
            defines  = ["LV2_GUI"],
            target   = 'gx_gcb_95_gui',
            source   = 'widget.cpp gx_gcb_95_gui.cpp',
            install_path = '${LV2DIR}/%s' % bundle,
            chmod = 0o755,
            )
        lv2_plugin_gui.env['cxxshlib_PATTERN'] = '%s.so'

    install_path = '${LV2DIR}/%s' % bundle,
    if bld.env['MODGUI']:
        bld.install_files('${LV2DIR}/gx_gcb_95.lv2', bld.path.ant_glob('*.ttl'), relative_trick=True)
        bld.install_files('${LV2DIR}/gx_gcb_95.lv2', bld.path.ant_glob('modgui/**/*'), relative_trick=True)
    else:
        bld.install_files('${LV2DIR}/gx_gcb_95.lv2', bld.path.ant_glob('*.ttl', excl=['modgui.ttl']), relative_trick=True)

=== debian/changelog ===
guitarix (0.39.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Mark libgxw-dev and libgxwmm-dev as Multi-Arch: same

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 Mar 2020 22:59:21 +0100

guitarix (0.39.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * d/control:
    + Update package description
    + Add fonts-roboto and gperf to B-D

  [ Dennis Braun ]
  * New upstream release
  * d/copyright: Update year

  [ Víctor Cuadrado Juan ]
  * Create +dfsg1 tar with waf unpacked
  * New upstream version 0.39.0+dfsg1
  * Fix typo in d/NEWS
  * Move to python3 (Closes: #943122)
    + Use python3 in waf calls, Build-Depends on python3
    + Patch tools/_makejsonrpc_methods for python3

 -- Víctor Cuadrado Juan <me@viccuad.me>  Thu, 13 Feb 2020 19:41:08 +0100

=== debian/control ===
Source: guitarix
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Víctor Cuadrado Juan <me@viccuad.me>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               fonts-roboto,
               gperf,
               intltool,
               ladspa-sdk,
               libavahi-gobject-dev,
               libbluetooth-dev [linux-any],
               libboost-dev (>= 1.53),
               libboost-system-dev (>= 1.53),
               libboost-thread-dev (>= 1.53),
               libboost-iostreams-dev,
               libeigen3-dev,
               libgtk2.0-dev,
               libgtkmm-2.4-dev,
               libjack-dev,
               liblilv-dev,
               liblrdf0-dev,
               libsndfile1-dev,
               libzita-convolver-dev,
               libzita-resampler-dev,
               lv2-dev,
               python3,
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.5.0
Homepage: https://guitarix.org
Vcs-Git: https://salsa.debian.org/multimedia-team/guitarix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/guitarix

Package: guitarix
Architecture: any
Depends: fonts-roboto,
         gtk2-engines,
         gtk2-engines-pixbuf,
         guitarix-common (= ${source:Version}),
         guitarix-ladspa (>= ${source:Version}),
         guitarix-lv2 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: jack-capture, lame, vorbis-tools, gvfs-backends
Description: Rock guitar amplifier for JACK
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It provides one JACK input port and two JACK output
 ports. It is designed to produce nice trash/metal/rock/blues guitar sounds.
 Controls for bass, treble, gain, compressor, tube selector, distortion,
 flanger, freeverb, crybaby (wah), etc are available.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package provides the standalone application with a GTK+ interface.

Package: guitarix-common
Architecture: all
Multi-Arch: foreign
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}
Description: Guitarix - Common files
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Architecture independent files. Examples of
 such shared files are: configuration files, images and sounds.

Package: guitarix-ladspa
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Provides: ladspa-plugin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - ladspa plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the ladspa audio plugins that come together with
 guitarix, but can also be used by any other ladspa host.

Package: guitarix-lv2
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Provides: lv2-plugin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - LV2 plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the LV2 audio plugins that come together with guitarix,
 but can also be used by any other LV2 host.

Package: guitarix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Suggests: guitarix
Description: Guitarix - Development documentation
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Development documentation.

Package: libgxw0
Section: libs
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library.

Package: libgxw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgxw0 (= ${binary:Version}), ${misc:Depends}
Recommends: guitarix-doc
Description: Guitarix - GTK+ library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ library.

Package: libgxwmm0
Section: libs
Architecture: any
Breaks: guitarix (<< 0.35)
Replaces: guitarix (<< 0.35)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ C++ widget library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ C++ widget library.

Package: libgxwmm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgxwmm0 (= ${binary:Version}), ${misc:Depends}
Recommends: guitarix-doc
Description: Guitarix - GTK+ C++ widget library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ C++ widget library.

Package: gxw-glade
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Guitarix - GTK+ library Glade support
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 trash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library Glade support.
